{% load static %}
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.0/jquery.min.js"></script>

    <!-- Bootstrap core CSS -->
    <link href="{% static '/vendor/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet">

    <!-- Custom fonts for this template -->
    <link href="{% static '/vendor/fontawesome-free/css/all.min.css' %}" rel="stylesheet" type="text/css">
    <link href='https://fonts.googleapis.com/css?family=Lora:400,700,400italic,700italic' rel='stylesheet' type='text/css'>
    <link href='https://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800' rel='stylesheet' type='text/css'>

    <!-- Custom styles for this template -->
    <link href="{% static 'css/clean-blog.min.css' %}" rel="stylesheet">
    <link href="{% static 'css/style.css' %}" rel="stylesheet">
    <script type="text/javascript">
      $(document).ready(function(event) {
        $(document).on('click', '#unlike', function(event) {
          event.preventDefault();
          var pk = $(this).attr('value');
          $.ajax({
            type: 'POST',
            url: '{% url "post_like" %}',
            data: {'id':pk, 'csrfmiddlewaretoken': '{{ csrftoken }}' },
            dataType: 'json',
            success: function(response){
              $('#like_section').html(response['form'])
            },
            error: function(rs, e){
              console.log(rs.responseText);
            },
          });
        });
      });
    </script>
  {% block head %}
  {% endblock %}
  </head>
  <body>
 <!-- Navigation -->
 <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
        <div class="container">
          <a class="navbar-brand" href="{% url 'posts_list' %}">Blog</a>
          <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
            Menu
            <i class="fas fa-bars"></i>
          </button>
          <div class="collapse navbar-collapse" id="navbarResponsive">
            <ul class="navbar-nav ml-auto">
              <li class="nav-item">
                <a class="nav-link" href="{% url 'posts_list' %}">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="about.html">About</a>
              </li>
              <li class="nav-item">
                {% if not request.user.is_authenticated %}
                <a class="nav-link" href="{% url 'login' %}">Login</a>
                {% else %}
                <a class="nav-link" href="{% url 'logout' %}">Logout</a>
                {% endif %}
              </li>
              <li class="nav-item">
                <a class="nav-link" href="{% url 'register' %}">Sign Up</a>
              </li>
            </ul>
          </div>
        </div>
      </nav>
    <!-- Page Header -->
    <header class="masthead" >
        <div class="overlay"></div>
        <div class="container">
        <div class="row">
        <div class="col-lg-8 col-md-10 mx-auto">
          <div class="site-heading">
            <h1>{% block title %}Blog{% endblock %}</h1>
            <span class="subheading"></span>
          </div>
        </div>
        </div>
        </div>
    </header>
  {% block content %}

  {% endblock %}
    <!-- Footer -->
    <footer>
            <div class="container">
              <div class="row">
                <div class="col-lg-8 col-md-10 mx-auto">
                  <ul class="list-inline text-center">
                    <li class="list-inline-item">
                      <a href="#">
                        <span class="fa-stack fa-lg">
                          <i class="fas fa-circle fa-stack-2x"></i>
                          <i class="fab fa-twitter fa-stack-1x fa-inverse"></i>
                        </span>
                      </a>
                    </li>
                    <li class="list-inline-item">
                      <a href="#">
                        <span class="fa-stack fa-lg">
                          <i class="fas fa-circle fa-stack-2x"></i>
                          <i class="fab fa-facebook-f fa-stack-1x fa-inverse"></i>
                        </span>
                      </a>
                    </li>
                    <li class="list-inline-item">
                      <a href="#">
                        <span class="fa-stack fa-lg">
                          <i class="fas fa-circle fa-stack-2x"></i>
                          <i class="fab fa-github fa-stack-1x fa-inverse"></i>
                        </span>
                      </a>
                    </li>
                  </ul>
                  <p class="copyright text-muted">Copyright &copy; Blog 2020</p>
                </div>
              </div>
            </div>
          </footer>
</body>
</html>